org.apache.ignite.springdata20.repository.query.spel

## Class SpelQueryContext.EvaluatingSpelQueryContext

- java.lang.Object
- - org.apache.ignite.springdata20.repository.query.spel.SpelQueryContext
  - - org.apache.ignite.springdata20.repository.query.spel.SpelQueryContext.EvaluatingSpelQueryContext

- Enclosing class:
    SpelQueryContext

      public static class SpelQueryContext.EvaluatingSpelQueryContext
      extends SpelQueryContext

  An extension of `SpelQueryContext` that can create `SpelEvaluator` instances as it also knows about a `EvaluationContextProvider`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ignite.springdata20.repository.query.spel.SpelQueryContext

      `SpelQueryContext.EvaluatingSpelQueryContext, SpelQueryContext.SpelExtractor`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SpelEvaluator` | `parse(String qry, org.springframework.data.repository.query.Parameters<?,?> parameters)` Parses the query for SpEL expressions using the pattern: <prefix>#{<spel>} with prefix being the character ':' or '?'.

    - ### Methods inherited from class org.apache.ignite.springdata20.repository.query.spel.SpelQueryContext

      `of, parse, withEvaluationContextProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### parse

          public SpelEvaluator parse(String qry,
                                     org.springframework.data.repository.query.Parameters<?,?> parameters)

      Parses the query for SpEL expressions using the pattern:

           <prefix>#{<spel>}

      with prefix being the character ':' or '?'. Parsing honors quoted Strings enclosed in single or double quotation marks.

      Parameters:
        `qry` - a query containing SpEL expressions in the format described above. Must not be null.
        `parameters` - a `Parameters` instance describing query method parameters
      Returns:
        A `SpelEvaluator` which allows to evaluate the SpEL expressions. Will never be null.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020